diff options
author | Holger Levsen <holger@layer-acht.org> | 2014-04-25 14:17:28 +0200 |
---|---|---|
committer | Holger Levsen <holger@layer-acht.org> | 2014-04-25 14:17:28 +0200 |
commit | 3ca8a01cfa922358daf1927c52dd64d73d693c63 (patch) | |
tree | de5005de602292e090c2ce2e7e4b58fcb71a2ed2 /bin | |
parent | 8b3ac93154ae771a981f91f906abc91da5da5730 (diff) | |
download | jenkins.debian.net-3ca8a01cfa922358daf1927c52dd64d73d693c63.tar.xz |
schroot-create.sh: temp. disable the most harmful commands now that these might actually be executed from the jobs using them...
Diffstat (limited to 'bin')
-rwxr-xr-x | bin/schroot-create.sh | 4 |
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/schroot-create.sh b/bin/schroot-create.sh index 181b3972..44083136 100755 --- a/bin/schroot-create.sh +++ b/bin/schroot-create.sh @@ -60,7 +60,7 @@ export CURDIR=$(pwd) bootstrap() { sudo debootstrap $DISTRO $CHROOT_TARGET $MIRROR - sudo -s <<-EOF + echo sudo -s <<-EOF set -e set -x echo -e '#!/bin/sh\nexit 101' > $CHROOT_TARGET/usr/sbin/policy-rc.d @@ -74,7 +74,7 @@ bootstrap() { cleanup() { if [ -d $CHROOT_TARGET ]; then - sudo rm -rf --one-file-system $CHROOT_TARGET || fuser -mv $CHROOT_TARGET + echo sudo rm -rf --one-file-system $CHROOT_TARGET || echo fuser -mv $CHROOT_TARGET fi } trap cleanup INT TERM EXIT |